MSK4TextInternal::Object Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions

| Object ()
| constructor More...

## Public Attributes

int | m_type
| the object type More...
int | m_id
| the local id More...
Vec2i | m_dim
| the dimension More...
long | m_fileId
| the file id More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Object const &tok)
| operator << More...

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

MSK4TextInternal::Object::Object | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Object const & | tok
| ) |  |

friend

operator <<

## Member Data Documentation

Vec2i MSK4TextInternal::Object::m_dim

the dimension

Referenced by MSK4Text::eobjDataParser(), and MSK4TextInternal::operator<<().

std::string MSK4TextInternal::Object::m_error

a string used to store the parsing errors

Referenced by MSK4Text::eobjDataParser(), and MSK4TextInternal::operator<<().

long MSK4TextInternal::Object::m_fileId

the file id

Referenced by MSK4Text::eobjDataParser(), and MSK4TextInternal::operator<<().

int MSK4TextInternal::Object::m_id

the local id

Referenced by MSK4Text::eobjDataParser(), and MSK4TextInternal::operator<<().

int MSK4TextInternal::Object::m_type

the object type

Referenced by MSK4Text::eobjDataParser(), and MSK4TextInternal::operator<<().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx